<!-- Based on fast/repaint/resize-child-within-overflow.html -->
<!DOCTYPE html>
<script src="resources/paint-invalidation-test.js"></script>
<script>
window.expectedPaintInvalidationObjects = [
    "LayoutBlockFlow (positioned) DIV class='container'",
];
function paintInvalidationTest()
{
    document.getElementById('child').style.width = '600px';
}
window.onload = runPaintInvalidationTest;
</script>
<style>
body {
    margin: 0;
}
.container {
    position: absolute;
    height: 1000px;
    background-color: blue;
}
#child {
    width: 400px;
}
.overflow {
    width: 800px;
    height: 50px;
}
</style>
<div class="container">
    <div id="child">
        <div class="overflow"></div>
    </div>
</div>
